---
name: Nga Nguyen
locality:
country: Remote
role: <a href="">Account Executive (SMB, Pooled), EMEA Central</a>
reports_to: benjamincaller
picture: NgaNguyen.png
pronouns: She/her
pronunciation:
twitter:
linkedin:
gitlab: quynhnga_
departments:
- SMB
specialty:
- DACH
expertise:
story:
job_title: SMB Account Executive
division: Sales
public: true

